<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!-- my css -->
    <link rel="stylesheet" href="./style.css">
    <!-- icon bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.0/font/bootstrap-icons.css">
    <title>Todo list</title>
  </head>
  <body>
    <!-- header -->
    <header>
        <div class="bg-danger">
            <div  class="container bg-danger p-2 " >
                <div class="row">
                    <div class="col-4">
                        <div class="text-white fs-5 fw-bold">Todo list</div>
                        <!-- <div class="row">
                            <div class="col-4">
                                <div class="text-white fs-5 fw-bold">Todo list</div>
                            </div>
                            <div class="col-8">
                                <div class="text-white fs-5"><input class="form-control me-2" type="search" placeholder="Search" aria-label="Search"></div>
                            </div>
                        </div> -->
                    </div>
                    <div class="col-6"></div>
                    <div class="col-2">
                            <button name="add-tasks" class="btn btn-light float-end" data-action="add" style="background-color: #dc3545;  border: none; color: white;">
                                <i class="bi bi-plus-lg" ></i>
                            </button>
                    </div>
                </div>           
            </div>
        </div>
    </header>
      <!-- /header -->

    <div class="container">
        <div class="row" >
            <!-- left schein -->
            <div class="col-sm-4 col-lg-4 col-md-4 bg-light" >
                <div class="d-grid qap-4 mt-4">
                    <!-- search boox -->
                    <div class="text-white fs-5 mb-4"><input class="form-control " type="search" placeholder="Search" aria-label="Search"></div>
                    <!-- button  -->
                   <div class="btn button-category mb-1">
                           <P class="float-start"><i class="bi bi-inbox me-2" style="color: #518BE2;"></i> Inbox</P>    
                    </div>
                </div>    
            </div>
             <!-- right schein -->
            <div class="col-sm-8 col-lg-8 col-md-8 p-4">
                <!-- hader tasks -->
                <div class="fs-4 fw-bold pb-3 border-bottom">
                    inbox
                </div>
                <!--  tasks  -->
                <div id="todos-list">
                    <div class="text-center p-2  bg-success ">     
                            <span class="col-10 fs-6 text-break pb-3">
                                loding....
                            </span>
                    </div>       
                </div> 
                <!-- <div>
                    <ul class="list-group">
                        <li>
                            <span>hello</span>
                            <img src="./img/delete.png" alt="delete icon" class="float-end"> 
                        </li>
                    </ul>
                </div> -->
                <!-- <div class="list-group" id="todos-list">
                    <ul class="list-group">
                        <li class="list-group-item">
                            <span>hello</span>
                            <img src="./img/delete.png" alt="delete icon" class="float-end">
                        </li>
                    </ul>
                </div> -->
                <!-- button add tasks  form-->
                <div class="d-none mb-3 mt-3" id="ButtonShowText" >
                    <form id="add">
                        <div class="mb-1">
                            <div class="mb-2 mt-2">
                                
                                <input type="text" name="name" class="form-control" placeholder="task name"
                                    aria-label="task name"  required >
                                    <!-- required -->
                            </div>
                            <div >
                                
                                <textarea type="text" name="textname" class="form-control" placeholder="a bute tasks ..... "
                                    aria-label="a bute tasks ..... " ></textarea>
                            </div>
                            <button type="submit" class="btn btn-primary btn-sm mt-2">Add tasks</button>
                            <button class="btn btn-outline-danger btn-sm mt-2" id="deletetask" style="border: none;">
                                <i class="bi bi-trash"></i>
                                  Delete Task
                            </button>
                        </div>
                    </form>
                </div>
                  <!-- Delete add tasks -->
                
               
                <!-- button add tasks -->
                    <button class="btn btn-outline-success btn-sm mt-2" style="border: none;" id="showfild">
                    <i class="bi bi-plus-circle"></i>
                      AddTask
                    </button>
                
            </div>
        </div>
        
    </div>


    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <!-- my script -->
    <script src="./script.js" ></script>
  </body>
</html>